// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgModels 
{ 
class Default 
{ 
sections[]={}; 
sectionsInherit=""; 
}; 
class Weapon: Default 
{ 
sections[]={"zasleh"}; 
}; 
class SNSSAW: Weapon{}; 
}; 


class CfgPatches
{
	class SNSM249Mag
	{
		units[] = {};
		weapons[] = {SNSM249Mag};
		requiredVersion = 1.10;
	};
	class SNSSAW
	{
		units[] = {};
		weapons[] = {SNSSAW};
		requiredVersion = 1.10;
	};
	class SNSM249Soldier
	{
		units[] = {SNSSAWSoldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
};

class CfgWeapons
{
	class default {};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun7_6Manual: MachineGun7_6 {};
	class SNSM249Mag : MachineGun7_6Manual
	{
		scopeWeapon = private;
		scopeMagazine = public;
		weaponType=1;
		displayName = "SNS M249 SAW";
		displayNameMagazine = "SNS M249 mag";
		shortNameMagazine = "SNS M249";
		picture="\SNSSAW\magp.paa";
		ammo="Bullet7_6W";
		count=200;
		drySound[]={"weapons\M16dry",0.010000,1};
		sound[]={\SNSSAW\SAWFire.wav,db0,1};
		soundContinuous=0;
		reloadTime=0.070500;
		dispersion=0.005000;
		initSpeed=1000;
		maxLeadSpeed=300;
		ffCount=6;
		aiDispersionCoefX=5;
		ffMagnitude=0.500000;
		ffFrequency=11;
		recoil="riffleSingle";
		autoFire=true;
		aiRateOfFire=0.070500;
		aiRateOfFireDistance=500;
		useAction=0;
		useActionTitle="";
	};

	class SNSSAW : MachineGun7_6Manual
	{
		scopeWeapon = public;
		scopeMagazine = private;
		weaponType=1;
		displayName = "SNS M249 SAW";
		picture="\SNSSAW\weaponp.paa";
		model="\SNSSAW\SNSSAWP3D.p3d";
		muzzles[]={"SNS249muzzle"};
		class SNS249muzzle : SNSM249Mag
		{
			reloadMagazineSound[]={"\SNSSAW\reload.wav",db-40,1};
			drySound[]={"weapons\M16dry",db-40,1};
			modelOptics="optika_m60_mg.p3d";
			optics = true;
   			opticsZoomMin=0.350000;
   			opticsZoomMax=0.350000;
   			distanceZoomMin=400;
   			distanceZoomMax=400;
                	magazines[]={"SNSM249Mag"};
		};
	};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySNSM249mag : ProxyWeapon {};
	class ProxySNSSAW : ProxyWeapon {};
};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMG: SoldierWB{};
	class SNSSAWSoldier: SoldierWMG
	{
		displayName="SNS SAW soldier";
		scope=2;
		model="MC vojakW2";
		weapons[]={"SNSSAW","NVGoggles","Throw","Put"};
		magazines[]={"SNSM249Mag","SNSM249Mag","SNSM249Mag","SNSM249Mag","SNSM249Mag"};
	};
};